function F = SLfirmsteady4P(et0,et1,et2,et3,et4,zl,zh, c, delta, lambda, bbeta, mu, xi, def_ss, mktl_ss)
 
% computes steady state values from the firm steady
% steady state 'selection' is done in main code

i_ss=delta;

urbopt=optimset('LargeScale','off','TolFun',1e-8);
zstar0=zh-.0000001;
zstar=fsolve('impdist4P',zstar0,urbopt,def_ss,et0,et1,et2,et3,et4)

Phizstar_ss = et0+et1*zstar+et2*(zstar.^2)/2+et3*(zstar.^3)/3+et4*(zstar.^4)/4;
phizstar_ss =et1+et2*zstar+et3*(zstar.^2)+et4*(zstar.^3) ;
Ez_tail_ss = ( et1*(zh^2)/2 + et2*(zh.^3)/3+ et3*(zh.^4)/4 + et4*(zh.^5)/5 ) ...
            -( et1*(zstar^2)/2 + et2*(zstar.^3)/3+ et3*(zstar.^4)/4 + et4*(zstar.^5)/5 );

Phi_int_zmin_zstar_ss=zstar*Phizstar_ss + Ez_tail_ss;

% 
tau=1 - (1-mktl_ss)/(bbeta*Phi_int_zmin_zstar_ss);  % tau 
j_ss=1-(1-tau)*delta-mktl_ss*(1-lambda)/exp(mu);   % J 

aR= -j_ss/(1-tau)+zstar;
bR= (c+lambda/(1-tau))/exp(mu);

den=Phizstar_ss*(c+lambda)/exp(mu)+(1-Phizstar_ss)*bR*xi*(1-tau);
bo=(1-Phizstar_ss)/den;
ao=((1/bbeta-(1-lambda)/exp(mu))*mktl_ss+(1-tau)*Ez_tail_ss-(1-Phizstar_ss)*(aR*xi*(1-tau)+j_ss ))/den;  

plo=0;
if plo==1
    xikv=-50:.1:100;
    for jj=1:max(size(xikv));
        div(jj)=impxik(xikv(jj), ao,bo,aR,bR,j_ss,mktl_ss,mu, lambda ,c,tau,bbeta, Phizstar_ss,phizstar_ss,xi,zstar );
    end
    plot(xikv,div)
end

urbopt=optimset('LargeScale','off','TolFun',1e-8);
xik0=.1;
xik=fsolve('impxik',xik0,urbopt,ao,bo,aR,bR,j_ss,mktl_ss,mu, lambda ,c,tau,bbeta, Phizstar_ss,phizstar_ss,xi,zstar, 1);

om=ao+bo*xik;
R=aR+bR*om;
p = mktl_ss /om;
dj =-p*(1-lambda)/exp(mu);
dz =-(c + lambda/(1-tau))/exp(mu) + dj/(1-tau);
dpo= (p+(1-tau)*bbeta*Phizstar_ss*dz)/((1-lambda)/exp(mu)-1);
dp=dpo/om;

% Define output vector
F= [i_ss    % 1 investment to capital
    om      % 2 debt to capital
    zstar   % 3 cutoff
    p       % 4 
    j_ss    % 5
    dj      % 6
    dz      % 7
    dp      % 8 
    R       % 9
    tau     % 10  IMPLIED tax
    xik     % 11  IMPLIED > 0
    Phizstar_ss     %12 
    phizstar_ss     %13
    Ez_tail_ss];   %14