function F = SLfirmsteadyGEE2(et0,et1,et2,et3,et4,zl,zh, c, delta, lambda, bbeta, mu, xi,xik, def_ss, mktl_ss)
% computes steady state values from the firm steady
% steady state 'selection' is done in main code

i_ss=delta;

urbopt=optimset('LargeScale','off','TolFun',1e-8);
zstar0=zh-.0000001;
zstar=fsolve('impdist4P',zstar0,urbopt,def_ss,et0,et1,et2,et3,et4)

Phizstar_ss = et0+et1*zstar+et2*(zstar.^2)/2+et3*(zstar.^3)/3+et4*(zstar.^4)/4;
phizstar_ss =et1+et2*zstar+et3*(zstar.^2)+et4*(zstar.^3) ;
Ez_tail_ss = ( et1*(zh^2)/2 + et2*(zh.^3)/3+ et3*(zh.^4)/4 + et4*(zh.^5)/5 ) ...
            -( et1*(zstar^2)/2 + et2*(zstar.^3)/3+ et3*(zstar.^4)/4 + et4*(zstar.^5)/5 );
phiprimzstar_ss=et2+2*et3*zstar+3*et4*(zstar.^2) ;
        
Phi_int_zmin_zstar_ss=zstar*Phizstar_ss + Ez_tail_ss;

% 
tau=1 - (1-mktl_ss)/(bbeta*Phi_int_zmin_zstar_ss);  
j_ss=1-(1-tau)*delta-mktl_ss*(1-lambda)/exp(mu);    

aR= -j_ss/(1-tau)+zstar;
bR= (c+lambda/(1-tau))/exp(mu);

den=Phizstar_ss*(c+lambda)/exp(mu)+(1-Phizstar_ss)*bR*xi*(1-tau);
om = ((1/bbeta-(1-lambda)/exp(mu))*mktl_ss +(1-tau)*Ez_tail_ss -(1-Phizstar_ss)*(aR*xi*(1-tau)+j_ss-xik ))/den; 

R=aR+bR*om;
p = mktl_ss /om;
dj =-p*(1-lambda)/exp(mu);
dz =-(c + lambda/(1-tau))/exp(mu) + dj/(1-tau);
dp= (p+(1-tau)*bbeta*Phizstar_ss*dz)/(om*((1-lambda)/exp(mu)-1));
hom= ( p+dp*om - bbeta*(    (1-lambda)*p/exp(mu)+Phizstar_ss*(c+lambda)/exp(mu)+(1-Phizstar_ss)*dj...
    + phizstar_ss*dz*((c+lambda)*om/exp(mu)-(1-tau)*R*xi+xik-j_ss+(1-tau)*zstar))  ) /...
    (bbeta*(1-lambda)*(om/exp(mu))*dp) ;
dp2= ( (1-tau)*bbeta*( phizstar_ss*dz*((c+lambda/(1-tau))/exp(mu)- dj/(1-tau))  + Phizstar_ss*(1-lambda)*dp*hom/(1-tau)/exp(mu) ) - dp*(2-(1-lambda)/(exp(mu)*hom)) )...
    /(om*(1-(1-lambda)/exp(mu)));


homom=  ( (2*dp + om*dp2)/bbeta - ( 2*phizstar_ss*dz*((c+lambda)/exp(mu)- dj) - (1-Phizstar_ss)*(1-lambda)*dp*hom/exp(mu)...
            + (1-lambda)*hom*(2*dp + om*dp2*hom )/exp(mu)  ...
            +  (phiprimzstar_ss*dz^2 - phizstar_ss*(1-lambda)*dp*hom/(1-tau)/exp(mu) )*( (c+lambda)*om/exp(mu)-(1-tau)*R*xi + xik -j_ss+ (1-tau)*zstar  ) ...
            +   phizstar_ss*(dz^2)*(1-tau)  ))...
    /( (1-lambda)*om*dp/exp(mu) ) ;
 %           +   phizstar_ss*dz*tau*c/exp(mu)  ))...
% Define output vector
F= [i_ss    % 1 investment to capital
    om      % 2 debt to capital
    zstar   % 3 cutoff
    p       % 4 
    j_ss    % 5
    dj      % 6
    dz      % 7
    dp      % 8 
    R       % 9
    tau     % 10  IMPLIED tax
    hom       % 11  hom
    Phizstar_ss     %12 
    phizstar_ss     %13
    Ez_tail_ss   %14
    dp2         %15
    homom       %16
    phiprimzstar_ss];        %17 
    