function [ di ] = ifR(R,q,om,v,tau,bbeta,cp,lambda,mubar,et1,et4)
%Implicit function for R at steady state

zs=R -(cp+lambda/(1-tau))*om/exp(mubar) + v/(1-tau);


zl = -1;
zh = -zl;
et2 = -3/5*et4*(zh^2);
et3 = 3*(0.5 - et1*zh)/(zh^3);   
et0 = 0.5+et4*(zh^4)/20;

Phi = et0 + et1*zs + (et2*zs.^2)/2 + (et3*zs.^3)/3 + (et4*zs.^4)/4;
Ez_tail = ( et1*(zh^2)/2 + et2*(zh.^3)/3+ et3*(zh.^4)/4 + et4*(zh.^5)/5 ) -( et1*(zs.^2)/2 + et2*(zs.^3)/3+ et3*(zs.^4)/4 + et4*(zs.^5)/5 );
Phi_int_zl_zs=zs.*Phi + Ez_tail;



di = q*om +(1-tau)*bbeta*Phi_int_zl_zs  -1;


end

