% twoimpezeNK.m
% plots impulse response to monetary policy shock
% for benchmark NK model, and NK model with one-period debt



load impold

T=max(size(oo_.irfs.ze_eze));
xaT=1:T;
zer=zeros(T,1);


subplot(3,3,1)
plot([oo_.irfs.ze_eze',oo_old.irfs.ze_eze',zer])
title('Monetary Pol. Shock {\zeta}')

subplot(3,3,2)
plot([oo_.irfs.mu_eze',oo_old.irfs.mu_eze',zer])
title('Inflation {\mu}')

subplot(3,3,3)
plot([oo_.irfs.capy_eze',oo_old.irfs.capy_eze',zer])
title('Output, Y')

subplot(3,3,4)
plot([oo_.irfs.capi_eze',oo_old.irfs.capi_eze',zer])
title('Investment, I')

subplot(3,3,5)
plot([oo_.irfs.c_eze',oo_old.irfs.c_eze',zer])
title('Consumption, C')

subplot(3,3,6)
plot([oo_.irfs.rf_eze',oo_old.irfs.rf_eze',zer])
title('Nominal int. rate, r')

subplot(3,3,7)
plot([oo_.irfs.capn_eze',oo_old.irfs.capn_eze',zer])
title('Labor, N')

subplot(3,3,8)
plot([oo_.irfs.defr_eze',oo_old.irfs.defr_eze',zer])
title('Default rate, defr')

subplot(3,3,9)
plot([oo_.irfs.qomega_eze',oo_old.irfs.qomega_eze',zer])
title('Leverage, q {\omega}` ')

